// EndOfDataException.cs created with MonoDevelop
// User: morganevans at 11:22 12/02/2009
//
// To change standard headers go to Edit->Preferences->Coding->Standard Headers
//

using System;

namespace UK_CO_MEVANSPN_libBitStream
{
	/// <summary>
	/// EndOfDataException objects are thrown when a calling function requests data to be read that
	/// requires data beyond the boundaries of the stream's storage.
	/// </summary>
	public class EndOfDataException : Exception
	{
		/// <summary>
		/// Default constructor simply creates an exception object with the message "End of Bitstream".
		/// </summary>
		public EndOfDataException() : base("End of BitStream")
		{
		}
	}
}
